net.sourceforge.pmd.lang.cpp.ast

## Class CppParserTokenManager

- java.lang.Object
- - net.sourceforge.pmd.lang.ast.AbstractTokenManager
  - - net.sourceforge.pmd.lang.cpp.ast.CppParserTokenManager

- All Implemented Interfaces:
    CppParserConstants

      public class CppParserTokenManager
      extends AbstractTokenManager
      implements CppParserConstants

  Token Manager.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected char` | `curChar`
    `PrintStream` | `debugStream` Debug output.
    `protected CharStream` | `input_stream`
    `static int[]` | `jjnewLexState` Lex State array.
    `static String[]` | `jjstrLiteralImages` Token literal values.
    `static String[]` | `lexStateNames` Lexer state names.

    - ### Fields inherited from class net.sourceforge.pmd.lang.ast.AbstractTokenManager

      `suppressMap, suppressMarker`

    - ### Fields inherited from interface net.sourceforge.pmd.lang.cpp.ast.CppParserConstants

      `_DEFAULT, AMPERSAND, AND, ARROWSTAR, ASSIGNEQUAL, AUTO, BITWISEANDEQUAL, BITWISEOR, BITWISEOREQUAL, BITWISEXOR, BITWISEXOREQUAL, BREAK, CASE, CATCH, CHAR, CHARACTER, CLASS, COLON, COMMA, CONST, CONTINUE, DECIMALINT, DECIMALLONG, DEFAULT, DELETE, DIVIDE, DIVIDEEQUAL, DO, DOT, DOTSTAR, DOUBLE, ELLIPSIS, ELSE, ENUM, EOF, EQUAL, EXTERN, FALSETOK, FLOAT, FLOATONE, FLOATTWO, FOR, FRIEND, GOTO, GREATERTHAN, GREATERTHANOREQUALTO, HEXADECIMALINT, HEXADECIMALLONG, ID, IF, IN_COMMENT, IN_LINE_COMMENT, IN_PREPROCESSOR_OUTPUT_COMMENT, INLINE, INT, LCURLYBRACE, LESSTHAN, LESSTHANOREQUALTO, LONG, LPARENTHESIS, LSQUAREBRACKET, MINUS, MINUSEQUAL, MINUSMINUS, MOD, MODEQUAL, NEW, NOT, NOTEQUAL, OCTALINT, OCTALLONG, OPERATOR, OR, PLUS, PLUSEQUAL, PLUSPLUS, POINTERTO, PREPROCESSOR_OUTPUT, PRIVATE, PROTECTED, PUBLIC, QUESTIONMARK, RCURLYBRACE, REDECLARED, REGISTER, RETURN, RPARENTHESIS, RSQUAREBRACKET, SCOPE, SEMICOLON, SHIFTLEFT, SHIFTLEFTEQUAL, SHIFTRIGHT, SHIFTRIGHTEQUAL, SHORT, SIGNED, SIZEOF, STAR, STATIC, STRING, STRUCT, SWITCH, TEMPLATE, THIS, THROW, TILDE, TIMESEQUAL, tokenImage, TRUETOK, TRY, TYPEDEF, UNION, UNSIGNED, UNSIGNED_DECIMALINT, UNSIGNED_DECIMALLONG, UNSIGNED_HEXADECIMALINT, UNSIGNED_HEXADECIMALLONG, UNSIGNED_OCTALINT, UNSIGNED_OCTALLONG, VIRTUAL, VOID, VOLATILE, WHILE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CppParserTokenManager(CharStream stream)` Constructor.
    `CppParserTokenManager(CharStream stream, int lexState)` Constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Token` | `getNextToken()` Get the next Token.
    `protected Token` | `jjFillToken()`
    `void` | `ReInit(CharStream stream)` Reinitialise parser.
    `void` | `ReInit(CharStream stream, int lexState)` Reinitialise parser.
    `void` | `setDebugStream(PrintStream ds)` Set debug output.
    `void` | `SwitchTo(int lexState)` Switch to specified lex state.

    - ### Methods inherited from class net.sourceforge.pmd.lang.ast.AbstractTokenManager

      `getFileName, getSuppressMap, setFileName, setSuppressMarker`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### debugStream

          public PrintStream debugStream

      Debug output.

    - #### jjstrLiteralImages

          public static final String[] jjstrLiteralImages

      Token literal values.

    - #### lexStateNames

          public static final String[] lexStateNames

      Lexer state names.

    - #### jjnewLexState

          public static final int[] jjnewLexState

      Lex State array.

    - #### input_stream

          protected CharStream input_stream

    - #### curChar

          protected char curChar

  - ### Constructor Detail

    - #### CppParserTokenManager

          public CppParserTokenManager(CharStream stream)

      Constructor.

    - #### CppParserTokenManager

          public CppParserTokenManager(CharStream stream,
                               int lexState)

      Constructor.

  - ### Method Detail

    - #### setDebugStream

          public void setDebugStream(PrintStream ds)

      Set debug output.

    - #### ReInit

          public void ReInit(CharStream stream)

      Reinitialise parser.

    - #### ReInit

          public void ReInit(CharStream stream,
                    int lexState)

      Reinitialise parser.

    - #### SwitchTo

          public void SwitchTo(int lexState)

      Switch to specified lex state.

    - #### jjFillToken

          protected Token jjFillToken()

    - #### getNextToken

          public Token getNextToken()

      Get the next Token.

Copyright © 2002-2013 InfoEther. All Rights Reserved.